Bug 32873 - [Android] ResourceHandleInternal is missing the pointer to ResourceLoaderAndroid
Summary: [Android] ResourceHandleInternal is missing the pointer to ResourceLoaderAndroid
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Android Android
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-22 08:39 PST by Andrei Popescu
Modified: 2009-12-28 22:50 PST (History)
3 users (show)

See Also:


Attachments
Add the the pointer to ResourceLoaderAndroid to ResourceHandleInternal class. (2.55 KB, patch)
2009-12-22 08:49 PST, Andrei Popescu
no flags Details | Formatted Diff | Diff
Add the the pointer to ResourceLoaderAndroid to ResourceHandleInternal class. (2.55 KB, patch)
2009-12-22 08:54 PST, Andrei Popescu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Popescu 2009-12-22 08:39:49 PST
On Android, ResourceHandle instances make use of a pointer to a ResourceLoaderAndroid pointer. This needs to be stored in order to later cancel the load, if necessary. Since this pointer is an internal implementation details of ResourceHandle on Android, it needs to be stored in the ResourceHandleInternal class.
Comment 1 Andrei Popescu 2009-12-22 08:49:40 PST
Created attachment 45387 [details]
Add the the pointer to ResourceLoaderAndroid to ResourceHandleInternal class.
Comment 2 WebKit Review Bot 2009-12-22 08:50:34 PST
style-queue ran check-webkit-style on attachment 45387 [details] without any errors.
Comment 3 Andrei Popescu 2009-12-22 08:54:13 PST
Created attachment 45388 [details]
Add the the pointer to ResourceLoaderAndroid to ResourceHandleInternal class.

Used #defined(ANDROID) instead of PLATFORM(ANDROID) in the previous patch. Fixed.
Comment 4 WebKit Review Bot 2009-12-22 08:55:57 PST
style-queue ran check-webkit-style on attachment 45388 [details] without any errors.
Comment 5 Dmitry Titov 2009-12-23 13:00:35 PST
Comment on attachment 45388 [details]
Add the the pointer to ResourceLoaderAndroid to ResourceHandleInternal class.

r=me
Comment 6 WebKit Commit Bot 2009-12-28 22:50:09 PST
Comment on attachment 45388 [details]
Add the the pointer to ResourceLoaderAndroid to ResourceHandleInternal class.

Clearing flags on attachment: 45388

Committed r52610: <http://trac.webkit.org/changeset/52610>
Comment 7 WebKit Commit Bot 2009-12-28 22:50:15 PST
All reviewed patches have been landed.  Closing bug.